Subject: [Dime] RE: Vendor-Specific-Application-Id AVP

From: "MORAND Lionel RD-CORE-ISS" <[email-masked]>
Date: Thu, 22 Mar 2007 15:37:54 +0100

It was exactly my point during the meeting session.
And what is true for Rs/Gq is also true for Cx, Sh and other SDO specific diameter applications, where the vendor-id identifies either the SDO or the vendor.

BR,

Lionel  

> -----Message d'origine-----
> De : Victor Fajardo [mailto:[email-masked]] 
> Envoyé : jeudi 22 mars 2007 12:56
> À : Tina TSOU
> Cc : MORAND Lionel RD-CORE-ISS; [email-masked]; Tom-PT Taylor
> Objet : Re: Vendor-Specific-Application-Id AVP
> 
> Hi Tina,
> 
> I'm assuming you meant 8.6, comments inline:
> 
> >
> >         8.6        Advertising Application Support
> >
> >     The Capabilities-Exchange-Request and 
> Capabilities-Exchange-Answer
> >     commands are specified in the Diameter Base Protocol (RFC 3588).
> >     The Diameter base application identifier (0) shall be 
> used in the
> >     Diameter message header of these messages.
> >
> >     The SCE and the PD-PE shall advertise the support of 
> the Rs and/or
> >     Gq applications by including an instance of the
> >     Vendor-Specific-Application-Id grouped AVP within the
> >     Capabilities-Exchange-Request and Capabilities-Exchange-Answer
> >     commands for each application supported, according to the
> >     following rules:
> >
> >     (1)         The SCE shall advertise support of the Rs 
> application
> >     if it supports stateless operation and of the Gq 
> application if it
> >     supports stateful operation. It shall advertise both 
> applications
> >     if it supports both operating modes.
> >
> >     (2)         The PD-PE shall respond by indicating the subset of
> >     applications it is prepared to support, out of those offered by
> >     the SCE. If this subset is empty, the PD-PE's response 
> shall be as
> >     described in section 5.3/RFC 3588.
> >
> >     If both the SCE and the PD-PE indicate support of the Rs
> >     application, then the Rs application identifier (16777235) shall
> >     be used in the Diameter message header of all 
> subsequent messages
> >     exchanged within this association. Otherwise the Gq application
> >     identifier (16777222) shall be placed in those headers.
> >
> 
> Ok. Are you planning to populate any other  app-id avps as well ?
> 
> 
> >     Support of the Rs application within the CER/CEA is indicated by
> >     supplying an instance of the Vendor-Specific-Application-Id
> >     containing a Vendor-Id AVP set to ITU-T (11502) and an
> >     Auth-Application-Id AVP set to Rs (16777235). Support of the Gq
> >     application within the CER/CEA is indicated by supplying an
> >     instance of the Vendor-Specific-Application-Id containing a
> >     Vendor-Id AVP set to 3GPP (10415) and an Auth-Application-Id AVP
> >     set to Gq (16777222).
> >
> >     NOTE/ /- The Vendor-Id AVP included in
> >     Capabilities-Exchange-Request and Capabilities-Exchange-Answer
> >     commands at the command level (as opposed to the Vendor-Id
> >     instances within the Vendor-Specific-Application-Id AVPs as
> >     described in the previous paragraph) shall indicate the
> >     manufacturer of the Diameter node as per RFC 3588.
> >
> >     The SCE and PD-PE shall advertise the support of AVPs 
> specified in
> >     3GPP, ETSI, and ITU-T documents by including the values 10415
> >     (3GPP), 13019 (ETSI) and 11502 (ITU-T) in three different
> >     instances of the Supported-Vendor-Id AVP in the CER and CEA
> >     commands respectively.
> >
> 
> This seems ok to me. In relation to issue #33, the vendor-id 
> would be more interesting to the Rs/Gq application rather 
> than anything else to do with diameter processing so using it 
> in CER/CEA is ok. As I mentioned, this means that the 
> vendor-id will not be relevant in any diameter base protocol 
> decision making, i.e. routing.
> 
> 
> regards,
> victor
> 

_______________________________________________
DiME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dime

---

From: Tina TSOU <[email-masked]>
Date: Fri, 23 Mar 2007 11:55:53 +0100

----- Original Message ----- 
From: "MORAND Lionel RD-CORE-ISS" <[email-masked]>
To: "Victor Fajardo" <[email-masked]>; "Tina TSOU" 
<[email-masked]>
Cc: <[email-masked]>; "Tom-PT Taylor" <[email-masked]>
Sent: Thursday, March 22, 2007 3:37 PM
Subject: RE: Vendor-Specific-Application-Id AVP

It was exactly my point during the meeting session.
And what is true for Rs/Gq is also true for Cx, Sh and other SDO specific 
diameter applications, where the vendor-id identifies either the SDO or the 
vendor.

BR,

Lionel

> Ok. Are you planning to populate any other  app-id avps as well ?
No...:)